FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000959FL51.1 FLCLpublic2019-02-06 10:312019-03-17 19:24
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PriorityhighSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.19 
Target Version5.1.21Fixed in Version5.1.20 
Summary0000959: Multiple reads of CONV command result in timeout issues, because file is moved after close
DescriptionTo try ZIP/TAR/FLAM archives the CONV command use a automatism, where each of the archive I/O components opens the file try to read it and if it not the corresponding format it close the file. At the end the file is open by the FIO.BLK component.

Depending on the system configuration where the file is read from, a close of the file result in a move of the file to another location and the next read failed.

To solve such an error the close() of the file must replaced by a rewind() and the open file handle must be given from one to another component, but this is not really possible, because each component opens the file in different ways.

FIO.ZIP use byte seek, FIO.FL4 is a LE-less own file handle not compatible wit LE file handles. FIO.BLK use no byte seek files.

The only way to solve this, is to disable the "Archive-Trying" and to implement the archive formats as converters and not as I/O.

This is really difficult.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001213)
Falk Reichbott (administrator)
2019-02-17 18:00

In this case the XCNV command must be used to prevent try and error handling as automatism in CONV command. We plan to implement a switch for CONV command to disable the archive support at read.
(0001224)
Falk Reichbott (administrator)
2019-03-17 19:24

Introduce NOARCH switch in CONV command to disable try of different archive formats.

- Issue History
Date Modified Username Field Change
2019-02-06 10:31 Falk Reichbott New Issue
2019-02-06 10:31 Falk Reichbott Status new => assigned
2019-02-06 10:31 Falk Reichbott Assigned To => Falk Reichbott
2019-02-17 18:00 Falk Reichbott Note Added: 0001213
2019-02-28 17:36 Falk Reichbott Target Version 5.1.21 => 5.1.20
2019-03-15 15:15 Falk Reichbott Target Version 5.1.20 => 5.1.21
2019-03-17 19:24 Falk Reichbott Note Added: 0001224
2019-03-17 19:24 Falk Reichbott Status assigned => resolved
2019-03-17 19:24 Falk Reichbott Fixed in Version => 5.1.20
2019-03-17 19:24 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker